Problema para atualizar do PopOS 21.04 para 21.10

Saudações para todos da comunidade amante do Linux.

Estou tentando fazer a atualização do meu PopOS 21.04 para a nova versão recém disponibilizada, a 21.10. E me retornou este erro quando tentei efetuar o download via configurações.

Após tentar efetuar os comandos listados no terminal, obtive o seguinte erro:

Alguém sabe como eu poderia estar resolvendo esse problema?